> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get Shift details

GET https://api.letsdeel.com/rest/time_tracking/shifts/{external_id}

Retrieves the details of a specific shift.

 **Token scopes**: `time-tracking:read`

Reference: https://developer.deel.com/api/endpoints/time-tracking-shifts/get-time-tracking-shift-by-external-id

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `external_id` (string, required) — Unique identifier of the shift to retrieve.

## Response

### 200

Shift details retrieved successfully

- `data` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Invalid request parameters

- `error` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaData

- `created_at` (string, required) — Date when the shift was created
- `shift_type` (enum, required) — Type of the shift
  - Allowed values: `REGULAR`, `CORRECTION_ABSOLUTE`, `CORRECTION_DELTA`, `TIME_OFF_QUALIFYING`
- `updated_at` (string, required) — Date when the shift was last updated
- `contract_id` (string, required) — Associated contract ID for the shift
- `description` (string, required) — Description of the shift
- `external_id` (string, required) — ID specified by the client for uniquely identifying the shift
- `date_of_work` (string, required) — Date when the shift takes place, in YYYY-MM-DD format
- `meta` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMeta, optional)
- `summary` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataSummary, optional)
- `payroll_cycle_ref` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataPayrollCycleRef, optional) — Payroll cycle reference
- `shift_reference_id` (string, optional) — External ID of the original shift this one references (set on correction shifts).

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaError

- `message` (string, optional) — Description of the error.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMeta

- `end` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaEnd, required)
- `start` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaStart, required)
- `breaks` (list of TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaBreaksItems, optional)
- `approval_date` (string, optional) — Approval date for the shift, in ISO format

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataSummary

- `shift_rate_external_id` (string, required) — External ID of the shift rate associated with this shift
- `time_unit` (enum, optional) — The unit of time for the shift (DAY, HOUR, MONTH, WEEK)
  - Allowed values: `DAY`, `HOUR`, `MONTH`, `WEEK`
- `time_amount` (double, optional) — The amount of time for the shift
- `total_break_hours` (double, optional) — Total break duration in hours
- `payable_break_hours` (double, optional) — Break hours that are payable
- `total_payable_hours` (double, optional) — Total payable working hours after break deductions
- `shift_duration_hours` (double, optional) — Total duration of the shift in hours

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataPayrollCycleRef

Payroll cycle reference

- `date` (string, required) — date in ISO

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaEnd

- `date` (string, required) — Shift end date
- `time` (string, required) — Shift end time in HH:mm format
- `is_rest_day` (boolean, required) — Indicates if it is a rest day
- `is_public_holiday` (boolean, required) — Indicates if it is a public holiday

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaStart

- `date` (string, required) — Shift start date
- `time` (string, required) — Shift start time in HH:mm format
- `is_rest_day` (boolean, required) — Indicates if it is a rest day
- `is_public_holiday` (boolean, required) — Indicates if it is a public holiday

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaBreaksItems

- `end` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaBreaksItemsEnd, required)
- `start` (TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaBreaksItemsStart, required)
- `is_paid` (boolean, optional) — Indicates if the break is paid

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaBreaksItemsEnd

- `date` (string, required) — Break end date
- `time` (string, required) — Break end time in HH:mm format

### TimeTrackingShiftsExternalIdGetResponsesContentApplicationJsonSchemaDataMetaBreaksItemsStart

- `date` (string, required) — Break start date
- `time` (string, required) — Break start time in HH:mm format

## Examples

**Response**

```json
{
  "data": {
    "created_at": "2024-02-01T00:00:00.000Z",
    "shift_type": "REGULAR",
    "updated_at": "2024-02-10T00:00:00.000Z",
    "contract_id": "contract-id-456",
    "description": "Night shift at warehouse",
    "external_id": "external-id-123",
    "date_of_work": "2024-02-12",
    "meta": {
      "end": {
        "date": "2024-02-12",
        "time": "16:00",
        "is_rest_day": false,
        "is_public_holiday": false
      },
      "start": {
        "date": "2024-02-12",
        "time": "08:00",
        "is_rest_day": false,
        "is_public_holiday": false
      }
    },
    "summary": {
      "shift_rate_external_id": "shift-rate-id-789",
      "time_unit": "HOUR",
      "time_amount": 8,
      "total_break_hours": 0.5,
      "payable_break_hours": 0.5,
      "total_payable_hours": 7.5,
      "shift_duration_hours": 8
    },
    "payroll_cycle_ref": {
      "date": "2024-02-11T12:00:00.000Z"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/time_tracking/shifts/shift_1234567dewdwe")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```